%define		kdeframever	5.67
%define		qtver		5.9.0
%define		kfname		kinit

Summary:	Helper library to speed up start of applications on KDE workspaces
Name:		kf5-%{kfname}
Version:	5.67.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	646771a2d35f1af7c5d0f4cfb3f80179
URL:		http://www.kde.org/
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	libcap-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
kdeinit is a process launcher somewhat similar to the famous init used
for booting UNIX.

It launches processes by forking and then loading a dynamic library
which should contain a 'kdemain(...)' function.

Using kdeinit to launch KDE applications makes starting a typical KDE
applications 2.5 times faster (100ms instead of 250ms on a P-III 500)
It reduces memory consumption by approx. 350Kb per application.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/kdeinit5
%attr(755,root,root) %{_bindir}/kdeinit5_shutdown
%attr(755,root,root) %{_bindir}/kdeinit5_wrapper
%attr(755,root,root) %{_bindir}/kshell5
%attr(755,root,root) %{_bindir}/kwrapper5
%attr(755,root,root) %{_libexecdir}/kf5/klauncher
%attr(755,root,root) %{_libexecdir}/kf5/start_kdeinit
%attr(755,root,root) %{_libexecdir}/kf5/start_kdeinit_wrapper
%attr(755,root,root) %{_libdir}/libkdeinit5_klauncher.so
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KLauncher.xml
%{_datadir}/qlogging-categories5/kinit.categories
%{_mandir}/man8/kdeinit5.8*
%lang(ca) %{_mandir}/ca/man8/kdeinit5.8*
%lang(de) %{_mandir}/de/man8/kdeinit5.8*
%lang(es) %{_mandir}/es/man8/kdeinit5.8*
%lang(it) %{_mandir}/it/man8/kdeinit5.8*
%lang(nl) %{_mandir}/nl/man8/kdeinit5.8*
%lang(pt) %{_mandir}/pt/man8/kdeinit5.8*
%lang(pt_BR) %{_mandir}/pt_BR/man8/kdeinit5.8*
%lang(sv) %{_mandir}/sv/man8/kdeinit5.8*
%lang(uk) %{_mandir}/uk/man8/kdeinit5.8*

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/KF5Init
%changelog
* Wed Feb 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kinit.git;a=log;h=master

* Wed Feb 19 2020 Łukasz Maśko <lmasko@pld-linux.org> 6a44984
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> debff86
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 037151c
- Up to 5.65.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> c465b46
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> f0c7b36
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> b260498
- updated to 5.53.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> d2b1641
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c321323
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 6bb8489
- updated to 5.39.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f2dddbd
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 4f49bfa
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 25ab19c
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d6fa07
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8846654
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bd9691b
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ab2d17
- up to 5.4.0

* Fri Jul 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fd2e2af
- new

